Vaapi gyorsítás chakra alatt

 ( attilav2 | 2015. április 25., szombat - 21:29 )

Az mplayer(a vaapi verziót tettem fel) hiányolja a libgif.so.4 fájlt, beállítottam vaapi-ra az smplayert, és erre az egy shared library hiányra hivatkozva megtagadja a lejátszást.
Itt a log:
"/usr/bin/mplayer -noquiet -nofs -nomouseinput -sub-fuzziness 1 -identify -msglevel demux=6 -slave -vo vaapi,xv, -nokeepaspect -nodr -double -input conf=/usr/share/smplayer/input.conf -stop-xscreensaver -wid 14680164 -monitorpixelaspect 1 -ass -embeddedfonts -ass-line-spacing 0 -ass-font-scale 1 -noflip-hebrew -ass-styles /home/attilav/.config/smplayer/styles.ass -subfont-autoscale 0 -subfont-osd-scale 20 -subfont-text-scale 20 -subcp ISO-8859-1 -subpos 100 -cache 2048 -osdlevel 0 -vf-add screenshot -noslices -channels 2 -af equalizer=0:0:0:0:0:0:0:0:0:0 -softvol -softvol-max 110 -va vaapi /run/media/attilav/CACC1C8DCC1C75C3/Downloads/Romantikus Erőszak - Előre Mind Pesti Srácok (HIVATALOS VIDEÓ ).mkv

/usr/bin/mplayer: error while loading shared libraries: libgif.so.4: cannot open shared object file: No such file or directory"

a giflib csomagban kellene lennie ilyen fájlnak de nincs, hogyan oldható meg ez a probléma?
A vlc-t is beizzítottam és beállítottam a vaapi lejátszást, több vaapi kódekkel is próbálkoztam(Vaapi dekódoló drm-en keresztül, VDPAU dekódoló) hibát nem dobott lejátszotta a filmet.

A radeon hd6670-em van, zárt driver van felrakva, fel van rakva még a libvdpau, libva-vdpau-driver, xvba-video, csomagok.

Böngészőkben hogy kapcsolom be a hardveres videó gyorsítást?

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

FF-ben about:config-ban van. Chrome pedig chrome://flags. Chrome-ban chrome://gpu-n ellenorizheted mi az aktualis

Chromeban "A szoftveres renderelési lista felülírása" opciót kapcsoltam be, gondolom ez az ami kell.
Firefoxnál annyi opció van ömlesztve hogy nem találtam mit kellene bekapcsolni.
Az is érdekes hogy a yt 1080p csak chromeban megy, konquerorban és firefoxban csak 720p-ig engedi a felbontást a yt.

Nem egészen vaapi specifikus hiba, de külön témát nem nyitnék neki.
Nem megy a Bomi (a volt cmplayer)
Ezzel a hibával leáll:
Error: Cannot make OpenGL context current!
Failed to check OpenGL support.
It may help to update driver of graphics card.
A konzolba ezt írja:
bomi
libva info: VA-API version 0.37.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib/dri/fglrx_drv_video.so
libva info: Found init function __vaDriverInit_0_32
libva info: va_openDriver() returns 0
(I)[X11] Initialized hardware acceleration API: vaapi.
(W)[Translator] Failed to load translation file: bomi_hu_HU
QCommandLineParser: option not defined: "__dummy__"
QCommandLineParser: option not defined: "__dummy__"
QCommandLineParser: option not defined: "__dummy__"
QCommandLineParser: option not defined: "__dummy__"
A sima tárolóból feltehető verzió, és a ccr-ből feltehető git verzió is ugyanezt csinálja.
Az üzenetkből látszik hogy a vaapi-t megtalálja, de az openglt hiányolja, pedig működik mert a cube sauerbraten elindult!!
Találtam beírást a program honlapján ezzel hibával, a készítő azt írta rá hogy meg kell várni a következő verziót, de az egy 2014-es post volt, röhej hogy most sem működik.